Subject: bug#14635: 24.3.50; Regression in Customize: no revert changes

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Oct 2020 16:16:27 +0200

> From: Mauro Aranda <[email-masked]>
> Date: Fri, 30 Oct 2020 11:03:39 -0300
> Cc: Drew Adams <[email-masked]>, [email-masked]
> 
> > Doesn't customizing a face record the original value in some property
> > of the face symbol?  If so, reverting the customizations should use
> > those recorded values, I think.
> 
> AFAICT, it doesn't right now.  I followed the recipe I gave, and then:
> (symbol-plist 'default)
> The relevant properties I see are:
> * face-defface-spec ==> ((t nil))
> which won't take us anywhere.
> * theme-face, which has the customized value for the user theme, and
> * customized-face, which again, has the customized value.
> 
> But I see no immediate reason why we shouldn't start doing it, if you
> think it is OK to use that to solve this issue.  My only questions are
> if it would be best to do it in Customize or in faces.el, and if we
> should only special case the default face.

I'd begin with doing this in Customize, since it is the only user of
this property.